﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using System.IO;

namespace Custom_Activities
{

    public sealed class LogCodeActivity : System.Activities.CodeActivity
    {
        // Aktivitätseingabeargument vom Typ "string" definieren
        public InArgument<string> Message { get; set; }

        public InArgument<string> LogName { get; set; }
       
        public InArgument<Int32> MessageNumber { get; set; }


        // Wenn durch die Aktivität ein Wert zurückgegeben wird, erfolgt eine Ableitung von CodeActivity<TResult>
        // und der Wert von der Ausführmethode zurückgegeben.
        protected override void Execute(CodeActivityContext context)
        {          
           LogWriter logWriter = new LogWriter(LogName.Get(context));
           logWriter.WriteLine(Message.Get(context),MessageNumber.Get(context)); 

        }
    }
}
